members.dev
ApiCredit notes

Get Credit Note

Returns a Credit Note by ID

GET
/v1/credit-notes/{credit_note_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

credit_note_id*string

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/credit-notes/string"
{
  "id": "string",
  "credit_note_number": "CN-12",
  "member_id": "string",
  "currency": "string",
  "amount": 0,
  "allocated_amount": 0,
  "remaining_amount": 0,
  "status": "open",
  "lines": [
    {
      "id": "string",
      "subscription_billing_period_id": "string",
      "subscription_id": "string",
      "description": "string",
      "quantity": 0,
      "unit_amount": 0,
      "amount": 0,
      "sort_order": 0,
      "created_at": null,
      "updated_at": null
    }
  ],
  "allocations": [
    {
      "id": "string",
      "amount": 0,
      "currency": "str",
      "type": "invoice_application",
      "invoice_id": "string",
      "created_at": null,
      "updated_at": null
    }
  ],
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}